cURL
Midjourney Edit
Midjourney Edit Result
Query image editing task result, this endpoint does not consume quota, free to use
GET
cURL
Authorizations
You can obtain your API key from the TTAPI Dashboard.
Query Parameters
Job ID returned synchronously by the generation endpoint
Response
Request successful
Task status: PENDING_QUEUE-queued, ON_QUEUE-processing, SUCCESS-success, FAILED-failed
Available options:
PENDING_QUEUE, ON_QUEUE, SUCCESS, FAILED Example:
"SUCCESS"
Response message: empty string on success, returns specific error reason on failure (e.g., 'insufficient quota', 'prompt violation')
Example:
""
Unique task identifier for querying task status or receiving callback notifications
Example:
"c679a92e-dae0-462d-b70f-dcfeaf2189fa"
Data returned when the task succeeds
Example:
{
"jobId": "d47481e2-f50d-43d4-aab9-231b0ca24ede",
"progress": "100",
"mode": "fast",
"prompt": "Workshop, 2D anime style, top-down perspective --niji 6 --s 100",
"quota": "4",
"images": [
"https://cdn.midjourney.com/ca3259ad-ff76-4767-9d1c-e767776961bf/0_0.png",
"https://cdn.midjourney.com/ca3259ad-ff76-4767-9d1c-e767776961bf/0_1.png",
"https://cdn.midjourney.com/ca3259ad-ff76-4767-9d1c-e767776961bf/0_2.png",
"https://cdn.midjourney.com/ca3259ad-ff76-4767-9d1c-e767776961bf/0_3.png"
],
"cdnImages": [
"https://cdn.ttapi.io/midjourney/20260312/f1e98a48-df03-4033-b24c-fbb2ae5f7813tl.png",
"https://cdn.ttapi.io/midjourney/20260312/f1e98a48-df03-4033-b24c-fbb2ae5f7813tr.png",
"https://cdn.ttapi.io/midjourney/20260312/f1e98a48-df03-4033-b24c-fbb2ae5f7813bl.png",
"https://cdn.ttapi.io/midjourney/20260312/f1e98a48-df03-4033-b24c-fbb2ae5f7813br.png"
],
"hookUrl": null,
"submitTime": "2026-03-12T07:35:36Z",
"finishTime": "2026-03-12T07:36:29Z"
}Last modified on April 18, 2026